<?php if (!defined('BASEPATH'))   exit('No direct script access allowed');

class Mappinglampiran extends CI_Controller
{
    function __construct()
    {
        parent::__construct();
$this->output->enable_profiler(false);
        
        $this->load->model('Mmaster');
        $this->load->library('datatables');
    }

    public function index()
    {
        $data['data'] = $this->db->query("SELECT * FROM REF_JNS_PELAYANAN ORDER BY TO_NUMBER(KD_JNS_PELAYANAN) ASC")->result();
        return view('mappinglampiran/mapping_list', $data);
    }

    function setting($jp)
    {
        $rk = $this->db->query("SELECT nm_jenis_pelayanan FROM REF_JNS_PELAYANAN where kd_jns_pelayanan='$jp'")->row();
        if ($rk) {
            $res = $this->db->query("SELECT KODE,NAMA_LAMPIRAN,PCEKLAMPIRAN('" . $jp . "',KODE) ST FROM P_REF_LAMPIRAN order by nama_lampiran asc")->result();
            $data = array(
                'KD_JNS_PELAYANAN' => $jp,
                'res'              => $res,
                'layanan'           => $rk->NM_JENIS_PELAYANAN,
                'action'           => base_url() . 'mappinglampiran/prosesmapping'
            );
            
            return view( 'mappinglampiran/formmapping', $data);
        }
    }

    function prosesmapping()
    {
        if (isset($_POST['KD_JNS_PELAYANAN'])) {
            $KD_JNS_PELAYANAN = $_POST['KD_JNS_PELAYANAN'];
            $this->db->query("delete from p_mappinglampiran where KD_JNS_PELAYANAN='$KD_JNS_PELAYANAN'");
            $y = 0;
            $n = 0;
            for ($i = 0; $i < count($_POST['KODE']); $i++) {
                $data = array(
                    'KODE' => $_POST['KODE'][$i],
                    'KD_JNS_PELAYANAN' => $KD_JNS_PELAYANAN
                );

                $rk = $this->db->insert('P_MAPPINGLAMPIRAN', $data);
                if ($rk) {
                    $y += 1;
                } else {
                    $n += 1;
                }
            }
            $alert = "Berhasil di simpan " . $y . ", Gagal di simpan " . $n;
            $notif = "<div class='alert alert-success'><button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>" . $alert . "</div>";
            $this->session->set_flashdata('notif', $notif);
            redirect('mappinglampiran');
        }
    }
}

/* End of file Menu.php */
/* Location: ./application/controllers/Menu.php */
/* Generated by Mohamad Wahyu Dewantoro 2017-04-08 05:30:08 */
